E-MailRelay

Static Public Attributes | List of all members
G::limits Class Reference

A scoping structure for a set of buffer sizes. More...

`#include <glimits.h>`

## Static Public Attributes
static constexpr int | log = 1000
static constexpr int | path_buffer = 1024
static constexpr int | file_buffer = 102400
static constexpr int | file_slurp = 100000000
static constexpr int | pipe_buffer = 4096
static constexpr int | net_buffer = 20000
static constexpr int | net_file_limit = 200000000
static constexpr int | net_listen_queue = 31

## Detailed Description

A scoping structure for a set of buffer sizes.

Intended to be used to reduce memory requirements in embedded environments.

Definition at line 35 of file glimits.h.

## Member Data Documentation

## ◆ file_buffer

constexpr int G::limits::file_buffer = 102400
| static constexpr

Definition at line 42 of file glimits.h.

## ◆ file_slurp

constexpr int G::limits::file_slurp = 100000000
| static constexpr

Definition at line 43 of file glimits.h.

## ◆ log

constexpr int G::limits::log = 1000
| static constexpr

Definition at line 40 of file glimits.h.

## ◆ net_buffer

constexpr int G::limits::net_buffer = 20000
| static constexpr

Definition at line 45 of file glimits.h.

## ◆ net_file_limit

constexpr int G::limits::net_file_limit = 200000000
| static constexpr

Definition at line 46 of file glimits.h.

## ◆ net_listen_queue

constexpr int G::limits::net_listen_queue = 31
| static constexpr

Definition at line 47 of file glimits.h.

## ◆ path_buffer

constexpr int G::limits::path_buffer = 1024
| static constexpr

Definition at line 41 of file glimits.h.

## ◆ pipe_buffer

constexpr int G::limits::pipe_buffer = 4096
| static constexpr

Definition at line 44 of file glimits.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/glimits.h